:: Farm_Build.cmd
:: Called by go.cmd
:: Creates SQL Databases on APP1, creates configDB, provisions Central Admin, starts MOSS Services
:: Creates http://my.contoso.msft and http://ssp.contoso.msft, then creates SSP using those Web apps
:: Also creates portal and adds AAMs for Web apps
:: leaving echo ON for demonstration purposes
:: @Echo off
:: Pauses are for command verification and demonstration. you can remove if you want.
:: Create SQL Directories on SQL Server. 
:: Comment out if you do not have SQL tools on the MOSS APP server
:: App1 is SQL Server
:: App2 is first server in the farm - Index and Central Admin
:: Creating Directories for SQL DBs and Logs
mkdir \\app1\c$\mssql\
mkdir \\app1\c$\mssql\data
mkdir \\app1\c$\mssql\log
::Create Index Locations on Index Serever and Query servers
@Echo Creating Index Locations
mkdir \\app2\c$\indexes
mkdir \\wfe1\c$\indexes
mkdir \\wfe2\c$\indexes

:: Create SQL Databases with db_create_script.txt
:: Remove if you do not have SQL Tools installed on MOSS APP server
"C:\Program Files\Microsoft SQL Server\90\Tools\Binn\sqlcmd.exe" -S app1 -i DB_Create_Script.txt
@Echo Creating Farm
:: Creating Farm via populating the ConfigDB. Set SQL Servername, configDB name, Central Admin ContentDB, and Farm Account.
"c:\program files\common files\microsoft shared\web server extensions\12\bin\psconfig.exe" -cmd configdb -create -server app1 -database SharePoint_Config_Contoso -user contoso\mossfarm -password P@ssw0rd -admincontentdatabase Central_Admin_Content
@Echo Provision Central Admin
@pause
::  Provision Central Admin Application on this server. Uses configDB and ContentDB above. Set port number to suit your requirements.
"c:\program files\common files\microsoft shared\web server extensions\12\bin\psconfig.exe" -cmd adminvs -provision -port 12345 -windowsauthprovider onlyusentlm
@Echo Install all Services
::  Install all services on machine
"c:\program files\common files\microsoft shared\web server extensions\12\bin\psconfig.exe" -cmd services install
@Echo Securing File System and Registry Keys
@pause
:: Set Security on File System and Registry Keys
"c:\program files\common files\microsoft shared\web server extensions\12\bin\psconfig.exe" -cmd secureresources
@Echo Starting MOSS Search
@pause
::  Start SharePoint Server Search Service with only Index.Verify database and services names. Change role to IndexQuery if you only have one Search Server in the farm.
"C:\Program Files\Common Files\Microsoft Shared\web server extensions\12\BIN\stsadm.exe" -o osearch -action start -role Index -farmcontactemail administrator@contoso.msft -farmperformancelevel maximum -farmserviceaccount "contoso\mossservice" -farmservicepassword P@ssw0rd
@Echo Starting WSS Search
::  Start WSS Search. Verify database and service names.
"c:\program files\common files\microsoft shared\web server extensions\12\bin\stsadm.exe" -o spsearch -action start -farmserviceaccount contoso\mossservice -farmservicepassword P@ssw0rd -farmcontentaccessaccount contoso\mosscrawler -farmcontentaccesspassword P@ssw0rd -databaseserver app1 -databasename Contoso_WSS_App2_Search
@Echo Installing all Features
::  Install all features on machine
"c:\program files\common files\microsoft shared\web server extensions\12\bin\psconfig.exe" -cmd installfeatures
@Echo Creating My Sites Web
::  Create My Site Web application. Verify database name and administrator's names.
"c:\program files\common files\microsoft shared\web server extensions\12\bin\stsadm.exe" -o extendvs -url http://my.contoso.msft -ownerlogin "contoso\administrator" -owneremail "administrator@contoso.msft" -exclusivelyusentlm -ownername "Administrator" -databaseserver app1 -databasename Contoso_WSS_Content_MySites_01 -sitetemplate spsmsitehost -description "My Site Host" -sethostheader -apidname MySiteAppPool -apidtype configurableid -apidlogin contoso\mysiteapid -apidpwd P@ssw0rd
@Echo Enabling Self Service Site Management for http://my.contoso.msft
::  Enable Self Service Site Management (Creation) on http://my.contoso.msft
"C:\Program Files\Common Files\Microsoft Shared\web server extensions\12\BIN\stsadm.exe" -o enablessc -url http://my.contoso.msft
@Echo Creating SSP Web
::  Create SSP Web application. Verify database and apid names. (APID = Application Pool Identity)
"c:\program files\common files\microsoft shared\web server extensions\12\bin\stsadm.exe" -o extendvs -url http://ssp.contoso.msft -exclusivelyusentlm -databaseserver app1 -databasename Contoso_WSS_Content_SSP -donotcreatesite -description "SSP Admin Host" -sethostheader -apidname SSP -apidtype configurableid -apidlogin contoso\sspapid -apidpwd P@ssw0rd
::  We must reset IIS before building the SSP. If you are local on the box, you can check all services are created before creating SSP.
iisreset
@Echo Creating SSP
@pause
::  Create SSP. Verify all names and URLs.
"C:\Program Files\Common Files\Microsoft Shared\web server extensions\12\BIN\stsadm.exe" -o createssp -title "Contoso SSP" -url http://ssp.contoso.msft -mysiteurl http://my.contoso.msft -ssplogin contoso\sspservice -indexserver app2 -indexlocation c:\indexes -ssppassword P@ssw0rd -sspdatabaseserver app1 -sspdatabasename Contoso_SSP_Config -searchdatabaseserver app1 -searchdatabasename Contoso_SSP_Search -ssl no
@Echo Creating Portal
@pause
::  Creating Portal. Change the URL if you will have a different URL than 'portal'.
"c:\program files\common files\microsoft shared\web server extensions\12\bin\stsadm.exe" -o extendvs -url http://portal.contoso.msft -ownerlogin "contoso\administrator" -owneremail "administrator@contoso.msft" -exclusivelyusentlm -ownername "Administrator" -databaseserver app1 -databasename Contoso_WSS_Content_Portal_01 -sitetemplate spsportal -description "Contoso Portal" -sethostheader -apidname PortalAppPool -apidtype configurableid -apidlogin contoso\portalapid -apidpwd P@ssw0rd
::  CALLING myhh.cmd to add http://my Host Header. Allows your users to enter http://my or http://my.contoso.msft in the browser
call myhh.cmd
::  CALLING portalhh.cmd to add http://portal Host Header
call portalhh.cmd
::  CALLING ssphh.cmd to add http://SSP Host Header
call ssphh.cmd